<template>
  <router-view />
</template>

<script>
import axios from "axios";
import config from "./config/config";
  export default {
    name: 'App',
    created() {
      try{
         console.log("app", authenObj);
        // window.opener.location.href = '/login';
        // this.$router.push({ name: 'Login' })
        // window.$cookies = $cookies;
        // this.$cookies.set("cookies", this.$cookies.get("authen"), '12h')
        global.FOO = 5;
        let authenObj = {
          "authen": this.$cookies.get("userName"),
        }
        if(authenObj == undefined || authenObj == null || authenObj.authen == undefined || authenObj.authen == null){
          console.log("app", "null");
          this.$router.push({ name: 'Login' })
        }
        else{
          // console.log("athenStr", authenObj);
          // // verifyAuthen
          // const self = this;
          // axios
          //   .post(config.API_FAMILY + "/api/verifyAuthen",  authenObj)
          //   .then(function(response) {
          //     let data = response.data;
              
          //     if(data == undefined || data == null || "FAIL" == data.status){
          //       self.$router.push({ name: 'Login' })
          //     }
          //     // self.chiTieuList = response.data.data
          //     console.log("authen_db:", response)
              
          // });
        }
      } catch (err){
        console.log("login-err", err);
      
      }
    } 
  }
</script>

<style scoped>
  .numeric-keyboard-key{
    font-family: 'Roboto';
  }
  #ofBar{
    display: none !important;
  }
  .v-overlay--active{
    z-index: 9999 !important;
  }
</style>